<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      @switch (configuration.level) {
        @case ('INFO') {
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="info-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#1890FF'"
          ></i>
        }
        @case ('DANGER') {
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FF0000'"
          ></i>
        }
        @case ('WARNING') {
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FAAD14'"
          ></i>
        }
      }
      <div class="flex-column">
        <span
          [attr.data-test-dialog-message]="true"
          [innerHTML]="
            configuration.messageKey | translate: getTranslateParameters()
          "
        ></span>
        @if (configuration.message) {
          <span [innerHTML]="configuration.message"></span>
        }
      </div>
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
